#!/usr/bin/env python
#
# Python script executable within CASA
# XCLASS automatic line identification function
#
# Description:
#
# - this script contains examples of how to set the variables and execute
#   XCLASS within CASA
# - play around with user parameters defined in lines 28 - 66
#
# Usage:
# - direct usage (within CASA)
#   CASA> execfile('my_fit_INcasa.py')
# - to be used remotely (from the terminal)
#   > screen
#   > casa --nologger --nogui -c my_LineID_INcasa.py
#
# Version 06/2017, Moeller
#******************************************************************************


#------------------------------------------------------------------------------
# Identify lines in given spectrum


###############################################################################
# TO MODIFY BY THE USER

# define path and name of default molfit file
DefaultMolfitFile = "my_LineID__default.molfit"

# define path and name of obs. xml file
experimentalData = "my_observation__LineID.xml"

# define list of molecules with are analyzed
SelectedMolecules = ["HCCCN;v=0;", "CH3OH;v=0;", "C2H5OH;v=0;", \
                     "CH3CN;v=0;", "SO;v=0;", "SO2;v=0;"]

# define noise level
Noise = 0.5

# define upper limit of overestimation
MaxOverestimationHeight = 500.0

# define tolerance
Tolerance = 65.0

# define max. number of iterations
NumberIteration = 10

# define path and name of algorithm xml files
AlgorithmXMLFileSMF = ""
AlgorithmXMLFileOverAll = ""

# define lower limit for column density of core components
MinColumnDensityEmis = 0.0

# define lower limit for column density of foreground components
MinColumnDensityAbs = 0.0

# define source name
SourceName = ""

# define list of so-called strong molecules
StrongMoleculeList = []
###############################################################################


# call myXCLASSFit function
IdentifiedLines, JobDir = LineIdentification()


