#!/usr/bin/env python
#
# Python script executable within CASA
# XCLASS Fit and plot spectra
#
# Description:
#
# - this script contains examples of how to set the variables and execute
#   XCLASS wihtin CASA
# - play around with user parameters defined in lines 28 - 37
#
# Usage:
# - direct usage (within CASA)
#   CASA> execfile('my_fit_INcasa.py')
# - to be used remotely (from the terminal)
#   > screen
#   > casa --nologger --nogui -c my_fit_INcasa__xml.py
#
# Version 07/2015, Sanchez-Monge
#******************************************************************************


#------------------------------------------------------------------------------
# Fitting spectra with myXCLASSFit task


###############################################################################
# TO MODIFY BY THE USER

# define path and name of molfit file
MolfitsFileName = "my_molecules.molfit"

# define path and name of obs. xml file
experimentalData = "my_observation.xml"

# define path and name of algorithm xml file
AlgorithmXMLFile = "my_algorithm-settings.xml"
###############################################################################


# call myXCLASSFit function
newmolfit, modeldata, JobDir = myXCLASSFit()


# rename plot file produced by XCLASS
cmdString = "cp -rp " + JobDir + "final_plot.LM.out.png my_fit_example.png"
os.system(cmdString)
