#!/usr/bin/env python
#
# Python script executable within CASA
# XCLASS List Database
#
# Description:
#
# - this script contains the basic commands to
#   do a query of the Spectral Database
# - play around with user parameters defined in lines 29 - 49
#
# Usage:
# - direct usage (within CASA)
#   CASA> execfile('my_list_INcasa.py')
# - to be used remotely (from the terminal)
#   > screen
#   > casa --nologger --nogui -c my_list_INcasa.py
#
# Version 07/2015, Sanchez-Monge
#******************************************************************************


#------------------------------------------------------------------------------
# example to list entries from the database


###############################################################################
# TO MODIFY BY THE USER

# define lower limit for transition frequencies (MHz)
my_minFreq = 210000.0

# define upper limit for transition frequencies (MHz)
my_maxFreq = 250000.0

# define lower limit for E_low (K)
my_minElow = 0.0

# define upper limit for E_low (K)
my_maxElow = 300.0

# restrict output to molecules defined in this list (if list is empty, print
# informations to all molecules which have at least one transititons frequency
# within the given limits)
my_molecules = ["CO;v=0;", "C-13-O;v=0;"]

# define path and name of output file (if no path is defined print output
# to screen)
OutputDevice = ''
###############################################################################


# call ListDatabase function
FreqMin = my_minFreq
FreqMax = my_maxFreq
ElowMin = my_minElow
ElowMax = my_maxElow
SelectMolecule = my_molecules
Contents = ListDatabase()
