#!/usr/bin/env python
#
# Python script executable within CASA
# XCLASS Fit a datacube
#
# Description:
#
# - this script contains examples of how to set the variables
#   and execute XCLASS wihtin CASA
# - play around with user parameters defined in lines 29 - 50
#
# Usage:
# - direct usage (within CASA)
#   CASA> execfile('my_mapfit_INcasa.py')
# - to be used remotely (from the terminal)
#   > screen
#   > casa --nologger --nogui -c my_mapfit_INcasa__xml.py
#
# Version 07/2015, Sanchez-Monge
#******************************************************************************


#------------------------------------------------------------------------------
# Fitting spectra with myXCLASSMapFit task


###############################################################################
# TO MODIFY BY THE USER

# define path and name of molfit file
MolfitsFileName = "my_map-molecules.molfit"

# define path and name of obs. data file
experimentalData = "my_observation__map.xml"

# define path and name of algorithm xml file
AlgorithmXMLFile = "my_algorithm-settings.xml"

# define path and name of region file
regionFileName = "my_map-region.reg"

# define if results of previous row is used
UsePreviousResults = False

# define lower limit for intensity (pixel with max. intensity below given
# limit are ignored)
Threshold = 0.0

# define path and name of so-called cluster file
clusterdef = ""
###############################################################################


# call myXCLASSMapFit function
JobDir = myXCLASSMapFit()

