#!/usr/bin/env python
#
# Python script executable within CASA
# XCLASS Database query
#
# Description:
#
# - this script contains the basic commands to
#   do a query of the Spectral Database
# - play around with user parameters defined in lines 29 - 40
#
# Usage:
# - direct usage (within CASA)
#   CASA> execfile('my_query_INcasa.py')
# - to be used remotely (from the terminal)
#   > screen
#   > casa --nologger --nogui -c my_query_INcasa.py
#
# Version 07/2015, Sanchez-Monge
#******************************************************************************


#------------------------------------------------------------------------------
# send SQL query to database


###############################################################################
# TO MODIFY BY THE USER (comment/uncomment lines defining QueryString variable


# EXAMPLE 1: get names of all molecules included in the database
QueryString = "select PF_Name from Partitionfunctions"


# EXAMPLE 2: get names of all molecules with transition frequencies between
#            two given frequencies included in the database
#    FreqMin = 10000.0
#    FreqMax = 12000.0
#    QueryString = "select T_Name from transitions where T_Frequency >= "
#    QueryString += str(FreqMin) + " and T_Frequency <= " + str(FreqMax)
###############################################################################


# call DatabaseQuery function
Contents = DatabaseQuery()


