#!/usr/bin/env python
#
# Python script executable within CASA
# XCLASS Get Transitions
#
# Description:
#
# - this script contains the basic commands to
#   get the transitions in a frequency interval
# - play around with user parameters defined in lines 56 - 82
#
# Usage:
# - direct usage (within CASA)
#   CASA> execfile('my_transitions_INcasa.py')
# - to be used remotely (from the terminal)
#   > casa --nologger -c my_transitions_INcasa.py
#
# Version 05/2015, Sanchez-Monge
#******************************************************************************


#------------------------------------------------------------------------------
# Creating the synthetic spectra with myXCLASS task
FreqMin = 219764.24
FreqMax = 221471.74
FreqStep = 0.1
TelescopeSize = 0.38
Inter_Flag = True
t_back_flag = True
tBack = 0.0
tslope = 0.0
nH_flag = True
N_H = 1.e24
beta_dust = 0.0
kappa_1300 = 0.0
MolfitsFileName = "my_molecules.molfit"
iso_flag = True
IsoTableFileName = "my_isonames.txt"
RestFreq = 0.0
vLSR = 0.0
modeldata, log, TransEnergies, IntOptical, JobDir = myXCLASS()


#------------------------------------------------------------------------------
# Loading an ascii file with observed data
FileName = "data/observed_spectrum.dat"
NumHeaderLines = 0
expdata = LoadASCIIFile()

#------------------------------------------------------------------------------
# example of an interactive selection of a frequency range


###############################################################################
# TO MODIFY BY THE USER

# define array containting obs. data
expdata = expdata

# define array containting synthetic spectrum
modeldata = modeldata

# define lower limit for transition frequencies (MHz)
FreqMin = 0.0

# define upper limit for transition frequencies (MHz)
FreqMax = 1.e8

# define lower limit for E_low (K)
ElowMin = 0.0

# define upper limit for E_low (K)
ElowMax = 100.0

# restrict output to molecules defined in this list (if list is empty, print
# informations to all molecules which have at least one transititons frequency
# within the given limits)
SelectMolecule = []

# define half width of frequency range (MHz) whose central frequency is
# selected within the GUI
FrequencyWidth = 20.0
###############################################################################


# call GetTransitions function
GetTransitions()

