#!/usr/bin/env python
#
# Python script executable within CASA
# XCLASS Database updater
#
# Description:
#
# - this script contains the basic commands to download
#   and update a new Spectral Database (from VAMDC webpage)
# - play around with user parameters defined in lines 29 - 36
#
# Usage:
# - direct usage (within CASA)
#   CASA> execfile('my_update_INcasa.py')
# - to be used remotely (from the terminal)
#   > screen
#   > casa --nologger --nogui -c my_update_INcasa.py > my_update.out
#
# Version 07/2015, Sanchez-Monge
#******************************************************************************


#------------------------------------------------------------------------------
# example to update the database


###############################################################################
# TO MODIFY BY THE USER (comment/uncomment lines defining QueryString variable


# EXAMPLE 1: download new database file (all private entries are lost)
DBUpdateNew = "new"


# EXAMPLE 2: update entries in existing database file
#    DBUpdateNew = "update"
###############################################################################


# call GetTransitions function
UpdateDatabase(DBUpdateNew)


